Bug 203355 - www/mod_scgi: Update to 1.14 (And mark UnBROKEN)
Summary: www/mod_scgi: Update to 1.14 (And mark UnBROKEN)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Unovitch
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-09-25 21:20 UTC by Walter Schwarzenfeld
Modified: 2015-10-12 12:59 UTC (History)
3 users (show)

See Also:
dryice: maintainer-feedback+


Attachments
modified patch-mod_scgi-1.11-apache24 (1.95 KB, patch)
2015-09-25 21:24 UTC, Walter Schwarzenfeld
no flags Details | Diff
patch-Makefile (558 bytes, patch)
2015-09-26 22:53 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff_mod_scgi (20.82 KB, patch)
2015-09-29 04:51 UTC, Walter Schwarzenfeld
no flags Details | Diff
portlint output (527 bytes, text/plain)
2015-09-29 04:57 UTC, Walter Schwarzenfeld
no flags Details
poudriere-ap24-mod_scgi-1.14.log (11.78 KB, text/x-log)
2015-09-29 05:18 UTC, Walter Schwarzenfeld
no flags Details
diff-mod_scgi (cleared svn-diff) (3.40 KB, patch)
2015-09-29 06:24 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff (3.42 KB, patch)
2015-09-29 16:17 UTC, Walter Schwarzenfeld
no flags Details | Diff
patch-Makefile (636 bytes, patch)
2015-09-29 16:55 UTC, Walter Schwarzenfeld
no flags Details | Diff
patch-distinfo (325 bytes, patch)
2015-09-29 16:56 UTC, Walter Schwarzenfeld
no flags Details | Diff
patch-mod_scgi_c (1.95 KB, patch)
2015-09-29 16:56 UTC, Walter Schwarzenfeld
no flags Details | Diff
diff (3.33 KB, patch)
2015-09-29 20:16 UTC, Walter Schwarzenfeld
no flags Details | Diff
mod_scgi.diff (3.57 KB, patch)
2015-09-30 13:35 UTC, Walter Schwarzenfeld
no flags Details | Diff
QA'd mod_scgi.diff (4.88 KB, patch)
2015-10-11 00:39 UTC, Jason Unovitch
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Schwarzenfeld 2015-09-25 21:20:12 UTC
Please update to 1.14.
Found this patch, on test it, it works:

http://www.calculate-linux.org/packages/www-apache/mod_scgi/files/mod_scgi-1.14-apache-2.4.patch
Comment 1 Walter Schwarzenfeld 2015-09-25 21:24:59 UTC
Created attachment 161404 [details]
modified patch-mod_scgi-1.11-apache24

Attached the modified patch.
Comment 2 Walter Schwarzenfeld 2015-09-25 21:34:49 UTC
The patch is named patcg-mod_scgi-1.11-apache. Forgot to change it to ..-1.14-...
Comment 3 Walter Schwarzenfeld 2015-09-26 22:53:39 UTC
Created attachment 161448 [details]
patch-Makefile
Comment 4 dryice 2015-09-28 23:06:41 UTC
Thanks for the patch. It looks good to me.

One more thing: I no longer use this port. It will be great if you could take the maintainership of it.

Thanks,
Dryice
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-09-29 03:16:45 UTC
Walter, could you please:

1) Create a single diff against the port which includes both changes to the Makefile and the patch in files/, and then obsolete the two existing attachments (attachment 161404 [details], and attachment 161448 [details])

2) Include (as attachments), the following QA results:

 * portlint -AC
 * poudriere testport (or bulk -t)

3) I note that the Makefile diff leaves a commented out PORTREVISION, please also remove that.

4) According to the maintainer in comment 4, please also add a MAINTAINER change if you would like to maintain the port (highly recommended)
Comment 6 Walter Schwarzenfeld 2015-09-29 04:51:11 UTC
Created attachment 161514 [details]
svn-diff_mod_scgi
Comment 7 Walter Schwarzenfeld 2015-09-29 04:57:52 UTC
Created attachment 161515 [details]
portlint output
Comment 8 Walter Schwarzenfeld 2015-09-29 04:58:35 UTC
The Warning did not change, if I run make makepatch.
Comment 9 Walter Schwarzenfeld 2015-09-29 05:14:27 UTC
I make a svn-diff I hope that is what you want.
Comment 10 Walter Schwarzenfeld 2015-09-29 05:18:14 UTC
Created attachment 161516 [details]
poudriere-ap24-mod_scgi-1.14.log
Comment 11 Walter Schwarzenfeld 2015-09-29 06:24:51 UTC
Created attachment 161517 [details]
diff-mod_scgi (cleared svn-diff)
Comment 12 Walter Schwarzenfeld 2015-09-29 06:25:55 UTC
Attached a additional "cleared" svn-diff as diff-mod_scgi.
Comment 13 Kubilay Kocak freebsd_committer freebsd_triage 2015-09-29 08:53:41 UTC
Thank you Walter, pending maintainer approval
Comment 14 Kubilay Kocak freebsd_committer freebsd_triage 2015-09-29 08:55:19 UTC
Comment on attachment 161514 [details]
svn-diff_mod_scgi

This doesn't look like an svn diff against a HEAD svn export/checkout, obsoleting.
Comment 15 Walter Schwarzenfeld 2015-09-29 11:34:17 UTC
How to do - svn is puzzling me.
Comment 16 Walter Schwarzenfeld 2015-09-29 11:49:01 UTC
There is somewhere a missunderstood with svn and I can't find it:
I did:
svn co https://svn0.us-east.freebsd.org/ports/head/www/mod_scgi
cd mod_scgi
svn diff --old=. --new=../
Comment 17 Chris Hutchinson 2015-09-29 13:34:42 UTC
(In reply to Walter Schwarzenfeld from comment #16)
> There is somewhere a missunderstood with svn and I can't find it:
> I did:
> svn co https://svn0.us-east.freebsd.org/ports/head/www/mod_scgi
> cd mod_scgi
> svn diff --old=. --new=../

old (as in ORIGINAL)
new (as in your EDITED version)

HTH

--Chris
Comment 18 Walter Schwarzenfeld 2015-09-29 13:54:43 UTC
old is "." new is ../ yes but it gaves this output as in the deprecate svn-diff version
Comment 19 Walter Schwarzenfeld 2015-09-29 13:59:32 UTC
"." is what I fetched with svn co https://svn0.us-east.freebsd.org/ports/head/www/mod_scgi. ../ is the modified port.
Comment 20 Chris Hutchinson 2015-09-29 14:10:26 UTC
(In reply to Walter Schwarzenfeld from comment #19)
> "." is what I fetched with svn co
> https://svn0.us-east.freebsd.org/ports/head/www/mod_scgi. ../ is the
> modified port.

Ahh. I see what you're saying. :)

I think it might be easier to try as follows:

$ svn co --depth empty svn://svn.freebsd.org/ports/head 2015-09-29
$ svn up --set-depth empty 2015-09-29/www
$ svn up 2015-09-29/www/scgi

Then add / edit / ...

If you added files (patches, etc...) you'll need to svn add
(see man svn for more info).

When you're finished editing, you should be able to:

$ cd 2015-09-29/www
$ svn diff > 2015-09-29.diff

There is no reason you can't work from an arbitrary directory
to perform your work. The only stipulation is the you perform all
your work in the SAME directory. :)

--Chrisa
Comment 21 Walter Schwarzenfeld 2015-09-29 14:30:41 UTC
Same result as in the deprecated svn-diff.
Comment 22 Walter Schwarzenfeld 2015-09-29 14:32:14 UTC
How do you do it, If you want a difference as I discribed, I am complete puzzled, nothing I try with svn works, I read the handbook , I use google and the man page is unusable.
Comment 23 Walter Schwarzenfeld 2015-09-29 14:41:07 UTC
I ask in the forum , I asked in irc freebsd-channel. Different suggestions no solution. I can't imagine I do all wrong.
Comment 24 Walter Schwarzenfeld 2015-09-29 14:46:18 UTC
I forgot to mention, I deleted the whole portstree and make a checkout against head. Svn diff after this gives nonsense: elixier - I never do anything with that.
Comment 25 Walter Schwarzenfeld 2015-09-29 14:47:29 UTC
And why not diffs for each files are accepted? It is clearer than than svn-diff?
Comment 26 Chris Hutchinson 2015-09-29 15:24:02 UTC
(In reply to Walter Schwarzenfeld from comment #25)
> And why not diffs for each files are accepted? It is clearer than than
> svn-diff?

Because the ports tree is managed by/with svn(1). So using svn an
svn diff is the best way to update the tree.

--Chris
Comment 27 Walter Schwarzenfeld 2015-09-29 15:35:41 UTC
Never worked with svn to update the tree working with portsnap. And it worked  good and simple and not so complicated like svn.
Comment 28 Walter Schwarzenfeld 2015-09-29 15:37:15 UTC
Send me a link or an explanation, I find such one.
Comment 29 Walter Schwarzenfeld 2015-09-29 15:37:43 UTC
Ever get wrong results.
Comment 30 Walter Schwarzenfeld 2015-09-29 15:41:11 UTC
Or no results.
Comment 31 Walter Schwarzenfeld 2015-09-29 15:50:43 UTC
If have a modified port in www/mod_scgi. What have I to do, to get a difference with svn to the original port?
Comment 32 Walter Schwarzenfeld 2015-09-29 16:17:08 UTC
Created attachment 161532 [details]
svn-diff
Comment 33 Walter Schwarzenfeld 2015-09-29 16:17:31 UTC
I hope that is now the right file.
Comment 34 Walter Schwarzenfeld 2015-09-29 16:19:15 UTC
No it is not. Sigh .. .I gave it up. Either you accepted patches or diffs for each files, or not and you let it be.
Comment 35 Walter Schwarzenfeld 2015-09-29 16:55:28 UTC
Created attachment 161534 [details]
patch-Makefile
Comment 36 Walter Schwarzenfeld 2015-09-29 16:56:01 UTC
Created attachment 161535 [details]
patch-distinfo
Comment 37 Walter Schwarzenfeld 2015-09-29 16:56:38 UTC
Created attachment 161536 [details]
patch-mod_scgi_c
Comment 38 Walter Schwarzenfeld 2015-09-29 16:57:18 UTC
Sending again the patch files.
Comment 39 Chris Hutchinson 2015-09-29 19:53:20 UTC
(In reply to Walter Schwarzenfeld from comment #28)
> Send me a link or an explanation, I find such one.

If you haven't already; have a look at the porters handbook;
specifically:
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/slow-porting.html

and

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/slow-patch.html

you will also need to better understand svn; specifically:
svn add
and
svn status

try

svn help add

these are also covered in the handbook.

HTH

--Chris
Comment 40 Walter Schwarzenfeld 2015-09-29 20:02:55 UTC
Sorry, this explains how I patch one file, nothing more.
Comment 41 Walter Schwarzenfeld 2015-09-29 20:06:44 UTC
If I had a repo in /usr/ports (or what directory ever) svn should be able show me difference of the tree (not garbage).
Comment 42 Walter Schwarzenfeld 2015-09-29 20:16:08 UTC
Created attachment 161549 [details]
diff
Comment 43 Walter Schwarzenfeld 2015-09-29 20:17:03 UTC
I have made the file diff with sudo svn diff --patch-compatible --old . --new ../
Is this now acceptable?
Comment 44 Walter Schwarzenfeld 2015-09-29 20:17:24 UTC
And edit it
Comment 45 Jason Unovitch freebsd_committer 2015-09-30 00:50:33 UTC
Walter,
When you get the patches sorted out following our discussion in the FreeBSD forum can you please obsolete all the old patches?

- Click "Details" to the right of each patch.
- Click "edit details" to the right of the patch name.
- Check the "obsolete" check box and hit submit at the bottom.
Comment 46 Walter Schwarzenfeld 2015-09-30 13:35:29 UTC
Created attachment 161569 [details]
mod_scgi.diff
Comment 47 Walter Schwarzenfeld 2015-09-30 13:36:10 UTC
I hope I have find the trick (with a help of a nice guy). This should be the right diff.
Comment 48 Jason Unovitch freebsd_committer 2015-10-11 00:39:50 UTC
Created attachment 161893 [details]
QA'd mod_scgi.diff

Walter,
I've attached a QA'd diff and obsoleted yours.

Issues:

Portlint:
WARN: /usr/ports/www/mod_scgi/pkg-descr: use WWW: with a single space, then http://www.mems-exchange.org/software/scgi/
WARN: Makefile: Consider defining LICENSE.
WARN: /usr/ports/www/mod_scgi/files/patch-mod_scgi: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.

You've identified these in your patch.  I've fixed them in this one for you.

Buildtime:
USE_APACHE= 22+ means both apache22 and apache24 should work.  As submitted this is not the case.  I've renamed the patch you included and and tested builds with both the default (2.4) and with DEFAULT_VERSIONS= apache=2.2 on the following:

9.3-RELEASE-p28      amd64
9.3-RELEASE-p28      i386
10.1-RELEASE-p22     amd64
10.1-RELEASE-p22     i386
10.2-RELEASE-p5      amd64
10.2-RELEASE-p5      i386
11.0-CURRENT r289084 amd64
11.0-CURRENT r289115 i386

Other:
I noticed the maintainer's name was in the MASTER_SITES so I checked `make fetch` and that failed.

=> scgi-1.14.tar.gz doesn't seem to exist in /distfiles/.
=> Attempting to fetch http://dryice.name/computer/FreeBSD/distfiles/scgi-1.14.tar.gz
fetch: http://dryice.name/computer/FreeBSD/distfiles/scgi-1.14.tar.gz: Not Found
11.0-CURRENT r289115 i386

I've fixed this in the patch.

Summary:
With all those changes, here's the summary of everything for the commit message.

www/mod_scgi: update 1.12 -> 1.14 and pass on MAINTAINER

- Change MASTER_SITES from prior maintainer's mirror to upstream
- Remove 2.2 in the COMMENT as the module builds on both 2.2 and 2.4
- Add LICENSE
- Set USE_APACHE=22+ and add conditional patch for builds on Apache 2.4
- Update WWW in pkg-descr
- Fix grammar in pkg-message

PR:		203355
Approved by:	dryice@dryice.name (outgoing maintainer)
Submitted by:	Walter Schwarzenfeld <w.litter@aon.at>
Comment 49 Jason Unovitch freebsd_committer 2015-10-11 00:42:37 UTC
(In reply to Jason Unovitch from comment #48)

Walter,
Please read the summary above and learn from what I was looking for.

The only thing I need is you to verify run time of the patch.  Once you give me a "run time is good with Apache 2.4 and with Apache 2.2 (DEFAULT_VERSIONS= apache=2.2 in my make.conf)" I'll go ahead and commit this.
Comment 50 Walter Schwarzenfeld 2015-10-12 05:58:32 UTC
(In reply to Jason Unovitch from comment #49)
Yes, works with apache22 and apache24.
Comment 51 commit-hook freebsd_committer 2015-10-12 12:54:54 UTC
A commit references this bug:

Author: junovitch
Date: Mon Oct 12 12:54:42 UTC 2015
New revision: 399120
URL: https://svnweb.freebsd.org/changeset/ports/399120

Log:
  www/mod_scgi: update 1.12 -> 1.14 and various fixes

  - Pass on MAINTAINER
  - Change MASTER_SITES from prior maintainer's mirror to upstream
  - Remove 2.2 in the COMMENT as the module builds/runs on both 2.2 and 2.4
  - Add LICENSE
  - Set USE_APACHE=22+ and add conditional patch for builds on Apache 2.4
  - Update WWW in pkg-descr
  - Fix grammar in pkg-message

  PR:		203355
  Approved by:	dryice@dryice.name (outgoing maintainer)
  Submitted by:	Walter Schwarzenfeld <w.litter@aon.at>

Changes:
  head/www/mod_scgi/Makefile
  head/www/mod_scgi/distinfo
  head/www/mod_scgi/files/
  head/www/mod_scgi/files/apache24-compat-mod__scgi.c
  head/www/mod_scgi/pkg-descr
  head/www/mod_scgi/pkg-message
Comment 52 Jason Unovitch freebsd_committer 2015-10-12 12:59:08 UTC
(In reply to Walter Schwarzenfeld from comment #50)
Walter,
Thank you for the confirmation.  The patch has been committed.